# frozen_string_literal: true

require 'erratum/configuration'

module  Erratum
module  Configurable
  module ClassMethods
    def configure
      yield configuration
    end

    def configuration
      ::Erratum::Configuration.instance
    end
  end

  def self.included(base)
    base.extend(ClassMethods)
  end

  def configuration
    ::Erratum::Configuration.instance
  end
end
end
