# frozen_string_literal: true

require 'erratum/error'
require 'erratum/errors/authentication'

module  Erratum
module  Errors
class   InvalidToken < RuntimeError
  include Error
  include Errors::Authentication

  attr_accessor :authentication_token

  def http_status
    401
  end

  def title
    'Invalid Token'
  end

  def detail
    <<~HEREDOC.chomp.tr("\n", ' ')
      The token you attempted to use for this request is invalid for this resource.
      Please double-check and try again.
    HEREDOC
  end

  def source
    { token: '[FILTERED]' }
  end
end
end
end
