# frozen_string_literal: true

require 'erratum/error'
require 'erratum/errors/authentication'

module  Erratum
module  Errors
class   InvalidUsernameOrPassword < RuntimeError
  include Error
  include Errors::Authentication

  attr_accessor :username

  def http_status
    401
  end

  def title
    'Invalid Username/Password'
  end

  def detail
    <<~HEREDOC.chomp.tr("\n", ' ')
      Either the username or password passed in or this request is invalid.
      Please double-check and try again.
    HEREDOC
  end

  def source
    { username: username, password: '[FILTERED]' }
  end
end
end
end
