# frozen_string_literal: true

module  Erratum
module  Errors
module  Crud
  attr_accessor :action,
                :resource_id,
                :resource_name

  def initialize(action: 'persist', resource_id: nil, resource_name: nil, **args)
    self.action        = action
    self.resource_id   = resource_id
    self.resource_name = resource_name

    super(**args)
  end

  def source
    {
      'action'        => action,
      'resource_name' => resource_name_underscored,
      'resource_id'   => resource_id,
    }
  end

  private

  def resource_name_underscored
    @resource_name_underscored ||= resource_name&.gsub(/\s/, '_')
  end
end
end
end
